# RegisterableCommand

interface RegisterableCommand : CommandExecutor
Content copied to clipboard

## Functions

equals
Link copied to clipboard
open operator override fun equals(other: Any?): Boolean
Content copied to clipboard
hashCode
Link copied to clipboard
open override fun hashCode(): Int
Content copied to clipboard
onCommand
Link copied to clipboard
abstract override fun onCommand(@NotNull() p0: CommandSender, @NotNull() p1: Command, @NotNull() p2: String, @NotNull() p3: Array<String>): Boolean
Content copied to clipboard
registerAs
Link copied to clipboard

Registers this executor for the given command and for the given instance of kSpigot.

open fun registerAs(commandName: String): Boolean
Content copied to clipboard
toString
Link copied to clipboard
open override fun toString(): String
Content copied to clipboard